
#ifndef CPP_START_NON_COPY_ABLE_H
#define CPP_START_NON_COPY_ABLE_H


class NonCopyAble {

protected:
    NonCopyAble() = default;

    ~NonCopyAble() = default;

public:
    // 禁用复制构造
    NonCopyAble(const NonCopyAble &) = delete;

    // 禁用赋值构造
    NonCopyAble &operator=(const NonCopyAble &) = delete;
};


#endif //CPP_START_NON_COPY_ABLE_H
